com.r3corda.node.services.clientapi / NodeInterestRates / Service / FixingServicePlugin

# FixingServicePlugin

`class FixingServicePlugin : CordaPluginRegistry`

Register the protocol that is used with the Fixing integration tests.

### Constructors

<init> | `FixingServicePlugin()` Register the protocol that is used with the Fixing integration tests.

### Properties

requiredProtocols | `val requiredProtocols: Map<String, Set<String>>` A Map with an entry for each consumed protocol used by the webAPIs. The key of each map entry should contain the ProtocolLogic class name. The associated map values are the union of all concrete class names passed to the protocol constructor. Standard java.lang.* and kotlin.* types do not need to be included explicitly. This is used to extend the white listed protocols that can be initiated from the ServiceHub invokeProtocolAsync method.
webApis | `val webApis: List<Class<*>>` List of JAX-RS classes inside the contract jar. They are expected to have a single parameter constructor that takes a ServiceHub as input. These are listed as Class<*>, because they will be instantiated inside an AttachmentClassLoader so that subsequent protocols, contracts, etc will be running in the appropriate isolated context.